org.h2.store

## Class FileStoreOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.h2.store.FileStoreOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class FileStoreOutputStream
    extends java.io.OutputStream

An output stream that is backed by a file store.

### Constructor Summary

Constructors
Constructor and Description
`FileStoreOutputStream(FileStore store, DataHandler handler, java.lang.String compressionAlgorithm)`

### Method Summary

Methods
`void` `close()`
`void` `write(byte[] buff)`
`void` `write(byte[] buff, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`flush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileStoreOutputStream

    public FileStoreOutputStream(FileStore store,
                         DataHandler handler,
                         java.lang.String compressionAlgorithm)

### Method Detail

#### write

    public void write(int b)

Specified by:
  `write` in class `java.io.OutputStream`

#### write

    public void write(byte[] buff)

Overrides:
  `write` in class `java.io.OutputStream`

#### write

    public void write(byte[] buff,
             int off,
             int len)

Overrides:
  `write` in class `java.io.OutputStream`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.OutputStream`